Site fixes - Site script request/donation #117

Existing Script for nimi.pona.la
05/04/2022 03:03 AM - jacobk

Status: Closed Start date: 05/04/2022
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

| was showing Haketilo to someone in #fsf, and they requested that | add the script at https://nimi.pona.la/ to the repository. The
script served by that page exactly matches a script (https://github.com/pona-la/nimi/blob/main/nimi.js) in a GitHub repository licensed
under MPL-2.0. The script translates text in a privacy-preserving manner, by getting a big json file with the translations and then
using that, instead of making requests to a server as text is typed. | have not read the code extremely carefully though.

Can this script be added to the repository? Long-term, this is probably something that would be better as a "meta-site", since there's
not really any communication going on while the app is running.

History

#1 - 05/11/2022 02:46 PM - koszko

Hi and sorry for the delay. I'll add it. Nick, can you approve this script as safe?

The script translates text in a privacy-preserving manner

Except for those images showing frequency being downloaded lazily... But personally, | don't consider this a real issue.

Long-term, this is probably something that would be better as a "meta-site", since there's not really any communication going on while the app is
running.

True. And even now we could include those JSONs in Haketilo package. But let's not, for the sake of simplicity

#2 - 05/14/2022 03:08 PM - Ogitnick
- % Done changed from 0 to 100

- Status changed from New to Closed

| read over the script twice and the text translation files. Looks safe to me.

#3 - 05/20/2022 02:27 PM - koszko
Added the script to main Hydrilla repo (sorry for the 6-day delay - | confess to being a bit lazy)
